# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Generator

    java.lang.Object
      com.google.gdata.data.Generator

All Implemented Interfaces:
  IGenerator

    public class Generator

extends java.lang.Object
implements IGenerator

Atom generator type.

Nested Class Summary
`class` `Generator.AtomHandler` `<atom:generator>` parser.

Field Summary
`protected java.lang.String` `name` Generator name.
`protected java.lang.String` `uri` URI.
`protected java.lang.String` `version` Version.

Constructor Summary
`Generator()`

Method Summary
`void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter w)` Generates XML in the Atom format.
`java.lang.String` `getHref()` Returns the version uri of the generator.
`java.lang.String` `getName()` Returns the name of the generator.
`java.lang.String` `getUri()`
`java.lang.String` `getVersion()` Returns the version attribute of the generator.
`void` `setName(java.lang.String v)`
`void` `setUri(java.lang.String v)`
`void` `setVersion(java.lang.String v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected java.lang.String version

  Version.

### uri

    protected java.lang.String uri

  URI.

### name

    protected java.lang.String name

  Generator name.

Constructor Detail

### Generator

    public Generator()

Method Detail

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `IGenerator`
  Returns the version attribute of the generator.

  Specified by:
    `getVersion` in interface `IGenerator`

### setVersion

    public void setVersion(java.lang.String v)

### getUri

    public java.lang.String getUri()

### getHref

    public java.lang.String getHref()

  Description copied from interface: `IGenerator`
  Returns the version uri of the generator.

  Specified by:
    `getHref` in interface `IGenerator`

### setUri

    public void setUri(java.lang.String v)

### getName

    public java.lang.String getName()

  Description copied from interface: `IGenerator`
  Returns the name of the generator.

  Specified by:
    `getName` in interface `IGenerator`

### setName

    public void setName(java.lang.String v)

### generateAtom

    public void generateAtom(com.google.gdata.util.common.xml.XmlWriter w)
                      throws java.io.IOException

  Generates XML in the Atom format.

  Parameters:
    `w` - Output writer.
  Throws:
    `java.io.IOException`